server:
  port: 8080
  servlet:
    context-path: /api/clients
        
spring:
  datasource:
    url: jdbc:postgresql://db-test.chblx4qsztg0.us-east-1.rds.amazonaws.com:5432/postgres
    username: postgres
    password: postgres
    driver-class-name: org.postgresql.Driver
    sql-script-encoding: UTF-8
    hikari:
      auto-commit: true
      connection-timeout: 5000
      idle-timeout: 5000
      max-lifetime: 60000
      maximum-pool-size: 3
      minimum-idle: 1
      
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        show_sql: true
        format_sql: true
        jdbc:
          lob:
            non_contextual_creation: true
            
  # JSON serialization settings
  jackson:
    default-property-inclusion: NON_NULL
    
    serialization:
      write-null-map-values: false
      fail-on-empty-beans: false 
      
    deserialization:
      accept-single-value-as-array: true
